local t = Def.ActorFrame{
	LoadActor("regular_bpmframe")..{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(x,SCREEN_CENTER_X-66-38;y,SCREEN_BOTTOM-6;zoom,1;addx,-20;addy,-20;diffusealpha,0;sleep,0.5;decelerate,0.3;addx,20;addy,20;diffusealpha,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
	};
	LoadActor(THEME:GetPathG("ScreenGameplay","ScoreFrame/bpm_dis"))..{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(x,SCREEN_CENTER_X-66-61;y,SCREEN_BOTTOM-4.5;zoom,1;diffusealpha,0;sleep,0.65;linear,0.3;diffusealpha,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
	};
	LoadActor("regular_bpmframe")..{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(rotationy,180;x,SCREEN_CENTER_X+66+38;y,SCREEN_BOTTOM-6;zoom,1;addx,20;addy,-20;diffusealpha,0;sleep,0.5;decelerate,0.3;addx,-20;addy,20;diffusealpha,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
	};
	LoadActor(THEME:GetPathG("ScreenGameplay","ScoreFrame/bpm_dis"))..{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(x,SCREEN_CENTER_X+66+61;y,SCREEN_BOTTOM-4.5;zoom,1;diffusealpha,0;sleep,0.65;linear,0.3;diffusealpha,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
	};
	
	--songmeter_banner
	LoadActor("regular_bannerframe")..{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-39/2;zoom,1;addy,120/2;sleep,0.3;decelerate,0.3;addy,-120/2;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
	};

	--scoreframe_player1
	Def.ActorFrame{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(y,SCREEN_BOTTOM-56/2;addx,-SCREEN_WIDTH*0.6;addy,-10/2;zoomy,0.1;decelerate,0.5;addx,SCREEN_WIDTH*0.6;zoomy,1;linear,0.05;addy,10/2);
	
		LoadActor("regular_scoreframe_width")..{
			OnCommand=cmd(zoomtowidth,SCREEN_WIDTH/2-257-62+0.5;horizalign,left;x,SCREEN_LEFT+264/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
		LoadActor("regular_scoreframe_left")..{
			OnCommand=cmd(horizalign,left;x,SCREEN_LEFT/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
		LoadActor("regular_scoreframe_right")..{
			OnCommand=cmd(horizalign,right;x,SCREEN_CENTER_X-121/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};


	--scoreframe_player2
	Def.ActorFrame{
		Condition=not GAMESTATE:IsDemonstration();
		InitCommand=cmd(y,SCREEN_BOTTOM-56/2;addx,SCREEN_WIDTH*0.6;addy,-10/2;zoomy,0.1;decelerate,0.5;addx,-SCREEN_WIDTH*0.6;zoomy,1;linear,0.05;addy,10/2);
	
		LoadActor("regular_scoreframe_width")..{
			OnCommand=cmd(zoomx,-1;zoomtowidth,SCREEN_WIDTH/2-257-62+0.5;horizalign,right;x,SCREEN_RIGHT-264/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
		LoadActor("regular_scoreframe_left")..{
			OnCommand=cmd(horizalign,left;zoomx,-1;x,SCREEN_RIGHT+2/2-1;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
		LoadActor("regular_scoreframe_right")..{
			OnCommand=cmd(horizalign,right;zoomx,-1;x,SCREEN_CENTER_X+121/2;sleep,0.5;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};
};

return t;
